Bug 197891 - knetworkmanager doesn't remember WEP keys between sessions.
knetworkmanager doesn't remember WEP keys between sessions.
Product: Fedora
Classification: Fedora
Component: knetworkmanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-06 17:53 EDT by Matthew Truch
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-20 10:36:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Truch 2006-07-06 17:53:53 EDT
Description of problem:
knetworkmanager doesn't remember WEP key between connections to an access point.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use knetworkmanager as a front end to Network manager.
2. Connect to a wireless access point using WEP.
3. Try to connect again.
Actual results:
knetworkmanager doesn't save the WEP key/passphrase between sessions and you
must manually type it in when requested each time you connect.  

Expected results:
Once you connect to an AP, any time it is in range it connects automatically,
without prompting the user for the WEP key.

Additional info:
The first time I ran knetworkmanager, a kwallet setup wizard popped up.  I set
up a wallet with no password (the only wallet I have; I had not used it before).
 The kwallet status icon indicates a wallet is open.  Additionally, every once
in a while kwallet pops up a dialog stating that some application continually
tries (and fails) to access a wallet.
Comment 1 Dennis Gilmore 2006-07-06 18:26:56 EDT
the wep keys get stored in kwallet,  and i believe  that you can not use it 
passwordless as it uses the password for the encryption it uses to store the 

I suggest that you create a new wallet and give it a password.
Comment 2 Dennis Gilmore 2006-07-20 10:36:58 EDT
as no feedback has been reported,  i am closing notabug,  assuming that 
correctly setting up a kwallet corrected your issue

Note You need to log in before you can comment on or make changes to this bug.